import express from "express";
import entidadRoutes from './entidadRoutes.js'; 
import cargoRoutes from './cargoRoutes.js';  
import departamentoRoutes from './departamentoRoutes.js';
import ciudadRoutes from './ciudadRoutes.js';  
import ContactoRoutes from './contactoRoutes.js';  
import UserRoutes from "./userRoutes.js";
import UsuarioEmpresaCargoRoutes from "./UsuarioEmpresaCargoRoutes.js";  
import authRoutes from './authRoutes.js';  
import RetoRoutes from './retosRoutes.js';  
import ClasificadoRoutes from './clasificadoRoutes.js';  
import ContactarSolicitudRoutes from './ContactoSolicitudRoutes.js'; 


const router = express.Router();

router.use('/entidad', entidadRoutes);
router.use('/cargos', cargoRoutes);
router.use('/departamentos', departamentoRoutes);
router.use('/ciudades', ciudadRoutes);
router.use('/contactos', ContactoRoutes);
router.use('/usuarioempresa', UsuarioEmpresaCargoRoutes);
router.use('/validarToken', authRoutes);
router.use('/user', UserRoutes);
router.use('/retos', RetoRoutes); 
router.use('/clasificados', ClasificadoRoutes); 
router.use('/contactarSolicitud', ContactarSolicitudRoutes); 

export default router;